# Fixed Exotics API

Fixed Exotics API can be used to get odds for fixed exotics bet.

## POST /api/FixedExotics/price

> Get fixed exotics prices by specified racing selection, event and market IDs

```json
{"openapi":"3.0.4","info":{"title":"[T1159-STAGE] Odds88 API","version":"v1"},"tags":[{"name":"FixedExotics"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"Marlin.SportsbetApi.Host.Models.BetPlacement.GetFixedExoticPricesViewModel":{"type":"object","properties":{"eventId":{"type":"integer","description":"Event ID.","format":"int64"},"marketId":{"type":"integer","description":"Market ID.","format":"int64"},"racingSelection":{"type":"string","description":"Racing selection.","nullable":true},"correlationId":{"type":"string","description":"Correlation ID (optional).","nullable":true}},"additionalProperties":false,"description":"A model containing information needed for requesting fixed exotic market prices."},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/FixedExotics/price":{"post":{"tags":["FixedExotics"],"summary":"Get fixed exotics prices by specified racing selection, event and market IDs","operationId":"Get fixed exotic price by racing selection","requestBody":{"description":"View model containing all the parameters.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Marlin.SportsbetApi.Host.Models.BetPlacement.GetFixedExoticPricesViewModel"}],"description":"A model containing information needed for requesting fixed exotic market prices."}},"text/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Marlin.SportsbetApi.Host.Models.BetPlacement.GetFixedExoticPricesViewModel"}],"description":"A model containing information needed for requesting fixed exotic market prices."}},"application/*+json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Marlin.SportsbetApi.Host.Models.BetPlacement.GetFixedExoticPricesViewModel"}],"description":"A model containing information needed for requesting fixed exotic market prices."}}}},"responses":{"200":{"description":"Getting prices successfully"},"400":{"description":"Request arguments are not valid.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Event or market are not found.","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"500":{"description":"Unexpected error occurred."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.odds88.io/odds88-client-api/odds88-api-endpoints/fixed-exotics-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
